
def esAprobado(nota):
    if(nota >= 6 ):
        return True
    else:
        return False
    
promedioGeneral = lambda sumaNotas, contadorNotas: sumaNotas / contadorNotas
    
notaAlta=0
notaBaja= 10
contadorAprobados=0
contadorDesaprobados=0
sumaNotas=0
contadorNotas=0
for contador in range (1,4):
    nota= int(input("ingrese la nota"))
    sumaNotas += nota
    contadorNotas += 1

    if nota > notaAlta:
        notaAlta = nota

    if nota < notaBaja:
        notaBaja = nota


    if esAprobado(nota):
        contadorAprobados += 1
    else:
        contadorDesaprobados +=1

promedio= promedioGeneral(sumaNotas, contadorNotas)

print(f"Alumnos Aprobados: {contadorAprobados}")
print(f"Alumnos Desaprobados: {contadorDesaprobados}")
print(f"Promedio General: {promedio}")
print(f"Nota Más alta: {notaAlta}")
print(f"Nota mas baja: {notaBaja}")




